Bug 1563691 - F28 Beta Workstation live image fails to log in after installation to libvirt VM
Summary: F28 Beta Workstation live image fails to log in after installation to libvirt VM
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-04 13:10 UTC by fednuc
Modified: 2019-05-28 19:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:49:32 UTC
Type: Bug


Attachments (Terms of Use)

Description fednuc 2018-04-04 13:10:58 UTC
To reproduce:

* Boot from the F28 Beta Workstation live ISO under libvirt (Boxes/virt-manager QEMU user session)
* Install to disk with default settings
* Create a standard user account via GNOME initial setup after boot
* Attempt to log in from GDM

Actual results:

* GDM fades to the grey noise background as it normally does before VT switch to the new session.
* The screen remains on a blank grey noise background.

Additional info:

* It *seems* that the VT switch has taken place, as sending Ctrl-Alt-F1 re-shows the standard GDM interface.
* Trying to log in again also fails, but this time it stops with the GDM just-made-insensitive password entry and the rest of the UI etc. So it looks like GDM is again VT switching (to the existing session), but there are no further screen redraws from the session's VT.

Switching to a console VT and e.g. loginctl terminate-user someusername, then re-logging in from GDM succeeds, but I'm not sure if this will always be the case - from memory I had to do it a few times to manage to log in successfully on a pre-beta live image.

I don't know if this is specific to VM installation vs. bare metal since I haven't tested F28 on real hardware yet.

Comment 1 fednuc 2018-04-04 14:02:49 UTC
Actually this problem seems to be elsewhere - I'm seeing the same issue just now with a new F27 VM from the workstation live ISO on an up-to-date F27 host.

In this case, loginctl terminate-user wasn't sufficient, and I had to reboot the VM entirely.

I've also seen this issue on another F27 host.

I'm not sure what the right component to move this to is?

Comment 2 Ben Cotton 2019-05-02 21:58:23 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-05-28 19:49:32 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.